<template>
  <div class="main">
    <div>
      <textarea @input="(e) => setMarkDown(e)" :value="markdown"></textarea>
    </div>
    <div>
      <div class="html note-details" v-html="mdToHtml(markdown)"></div>
    </div>
  </div>
</template>

<script>
export default {
  data() {
    return {
      markdown: "Write something!",
    };
  },

  mounted() {
      this.markdown = this.$attrs.value;
  },

  methods: {
    mdToHtml(text) {
      var showdown = require("showdown"),
        converter = new showdown.Converter(),
        html = converter.makeHtml(text);
      return html;
    },

    setMarkDown(evt) {
      this.markdown = evt.target.value;
      this.$emit('input', evt.target.value);
    },
  },
};
</script>

<style scoped>
.main {
  display: flex;
  flex-direction: row;
  margin: 10px;
  box-shadow: inset 0px 0px 4px #3334;
}

.main div:nth-child(1) {
  width: 45%;
  padding: 10px;
}

.main div:nth-child(2) {
  width: 55%;
  border-left: 1px solid #7772;
  padding: 10px;
}

textarea {
  min-height: 60vh;
  height: fit-content;
  border: 0;
  font-family: "Segoe UI", Tahoma, Geneva, Verdana, sans-serif;
  width: 100%;
  outline: none;
}
</style>
